#### D.12.2.2 bubblesort

Procedure from library `atkins.lib` (see atkins_lib).

Usage:
  bubblesort(L);

Return:
  list L, sort in decreasing order

Example:

    LIB "atkins.lib";
    ring r = 0,x,dp;
    list L=-567,-233,446,12,-34,8907;
    bubblesort(L);
    ==> [1]:
    ==>    8907
    ==> [2]:
    ==>    446
    ==> [3]:
    ==>    12
    ==> [4]:
    ==>    -34
    ==> [5]:
    ==>    -233
    ==> [6]:
    ==>    -567

User manual for Singular version 4-0-3, 2016, generated by texi2html.